export declare function ffmpegAssetName(_version: string, plat: string, architecture: string): string | null;
export type ToolName = "sd" | "sg" | "yt-dlp" | "trafilatura" | "ffmpeg";
export declare function getToolPath(tool: ToolName): string | null;
type EnsureToolOptions = {
    signal?: AbortSignal;
    silent?: boolean;
    notify?: (message: string) => void;
};
export declare function ensureTool(tool: ToolName, silentOrOptions?: EnsureToolOptions): Promise<string | undefined>;
export {};
